
QGIS Application - Bug report #3511

Only one sub-level of symbols is saved

2011-02-20 01:26 AM - dr -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13571

Description

1. Open polygonal vector layer and go to New Symbology window;

2. Style Manager - Fill - Add;

3. Symbol layer type: SVG fill and choose any symbol from defaults (for example, restaurant.svg);

4. Type symbol name and save it;

5. Click on created symbol and press Edit button;

6. Outline - Change - Symbol layer type: Marker line - Marker:Change - Symbol layer type: SVG Marker - choose any svg marker from

defaults;

7. Save changes and restart QGIS;

8. Open Style Manager: SVG outline is changed to red circles.

History

#1 - 2011-02-20 08:23 AM - Martin Dobias

QGIS currently loads/saves just one level of sub-symbols. Your symbol has two levels of sub-symbols, that's why it does not work properly.

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:26 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-10-09 08:07 PM - Nyall Dawson
- Subject changed from SVG outline not saves to Only one sub-level of symbols is saved

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

#7 - 2015-11-20 12:21 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

I can't reproduce it under QGIS 2.13. Everything is kept intact in the style, I can have the same style than shown into fortrac.png.

I am closing this bug.

Files

fortrac.png 22.4 KB 2011-02-20 dr -
